#
# Conditional build:
%bcond_without	doc	# API documentation
%bcond_without	python2	# Python 2.x modules
%bcond_without	python3	# Python 3.x modules

%define		module	jinja2
Summary:	Jinja2 Template engine for Python 2.x
Summary(pl.UTF-8):	Silnik szablonów Jinja2 dla Pythona 2.x
Name:		python-%{module}
Version:	2.9.5
Release:	1
License:	BSD
Group:		Development/Languages/Python
#Source0Download: https://pypi.python.org/simple/Jinja2
Source0:	https://files.pythonhosted.org/packages/source/J/Jinja2/Jinja2-%{version}.tar.gz
# Source0-md5:	9e55f0db6620dd99a1b366183a94270d
URL:		http://jinja.pocoo.org/
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	rpm-pythonprov
%if %{with python2}
BuildRequires:	python-devel >= 1:2.6
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:3.3
BuildRequires:	python3-modules >= 1:3.3
BuildRequires:	python3-setuptools
%endif
%if %{with doc}
BuildRequires:	sphinx-pdg
%endif
Requires:	python-markupsafe
Requires:	python-modules >= 1:2.6
Obsoletes:	python-Jinja2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A small but fast and easy to use stand-alone template engine written
in pure Python. Provides a Django inspired non-XML syntax but supports
inline expressions and an optional sandboxed environment.

%description -l pl.UTF-8
Mały ale szybki i łatwy w użyciu samodzielny silnik szablonów napisany
w czystym Pythonie. Udostępnia podobne do Django, o odmiennej od XML-a
składni i kompilowane do kodu Pythona szablony w opcjonalnie
ograniczonym środowisku.

%package -n python3-%{module}
Summary:	Template engine Jinja2 for Python 3.x
Summary(pl.UTF-8):	Silnik szablonów Jinja2 dla Pythona 3.x
Group:		Development/Languages/Python
Requires:	python3-markupsafe
Requires:	python3-modules >= 1:3.3

%description -n python3-%{module}
A small but fast and easy to use stand-alone template engine written
in pure Python. Provides a Django inspired non-XML syntax but supports
inline expressions and an optional sandboxed environment.

%description -n python3-%{module} -l pl.UTF-8
Mały ale szybki i łatwy w użyciu samodzielny silnik szablonów napisany
w czystym Pythonie. Udostępnia podobne do Django, o odmiennej od XML-a
składni i kompilowane do kodu Pythona szablony w opcjonalnie
ograniczonym środowisku.

%package apidoc
Summary:	Jinja2 template engine API documentation
Summary(pl.UTF-8):	Dokumentacja API silnika szablonów Jinja2
Group:		Development/Languages/Python

%description apidoc
API documentation for Jinja2 template engine.

%description apidoc -l pl.UTF-8
Dokumentacja API silnika szablonów Jinja2.

%prep
%setup -q -n Jinja2-%{version}

%build
%if %{with python2}
%py_build
%endif
%if %{with python3}
%py3_build
%endif

%if %{with doc}
cd docs
%{__make} -j1 html
%{__rm} -r _build/html/_sources
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGES LICENSE
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/Jinja2-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc AUTHORS CHANGES LICENSE
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/Jinja2-%{version}-py*.egg-info
%endif

%if %{with doc}
%files apidoc
%defattr(644,root,root,755)
%doc docs/_build/html/*
%endif
%changelog
* Fri Mar 03 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-jinja2.git;a=log;h=master

* Fri Mar 03 2017 Jakub Bogusz <qboosh@pld-linux.org> 7de1498
- updated to 2.9.5

* Mon Jan 16 2017 Jakub Bogusz <qboosh@pld-linux.org> 50bf5fc
- updated to 2.9.4

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> b66ed2e
- python 3.6
- release 3 (by relup.sh)

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 406be64
- python3.6
- release 2 (by relup.sh)

* Tue Dec 01 2015 Jakub Bogusz <qboosh@pld-linux.org> 224d34d
- Obsoleted python-Jinja2

* Tue Dec 01 2015 Jakub Bogusz <qboosh@pld-linux.org> 1137328
- updated to 2.8
- removed outdated docs patch

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 7b45366
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 4958ba0
- release 5 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> d831097
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 39dda72
- release 4 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 4900ff1
- python 3.5 rebuild
- release 3 (by relup.sh)

* Mon Jun 15 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> f1a9449
- Use setuptools instead of distribute

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 8cae757
- python 3.4
- release 2 (by relup.sh)

* Thu Oct 02 2014 Mateusz Korniak <matkor@pld-linux.org> 7b9c060
- updated to 2.7.3

* Tue Jan 28 2014 Jakub Bogusz <qboosh@pld-linux.org> 716e402
- updated to 2.7.2
- added docs patch (fixes docs build)

* Sat Jan 25 2014 Jan Rękorajski <baggins@pld-linux.org> d8268d2
- release 4 (by relup.sh)

* Sat Jan 25 2014 Jan Rękorajski <baggins@pld-linux.org> 8e22bdb
- release 3 (by relup.sh)

* Sun Nov 17 2013 Elan Ruusamäe <glen@delfi.ee> d4b47c0
- release 2 (by relup.sh)

* Sun Nov 17 2013 Jakub Bogusz <qboosh@pld-linux.org> 36ef4e1
- markupsafe is required now

* Thu Nov 14 2013 Elan Ruusamäe <glen@delfi.ee> 06bcb32
- up to 2.7.1

